修正:.NET Framework 4.7はこのオペレーティングシステムではサポートされていません

Advise: Windowsのエラーと最適化システムのパフォーマンスを修正するにはここをクリック

.Net Frameworkは、Microsoftによって導入されたプログラミングインフラストラクチャです。 さまざまなアプリケーションやサービスを実行するには、.Net Frameworkが必要です。 .Net Frameworkを必要とするほとんどのアプリケーションには、インストールファイルも含まれています。 そのため、アプリケーションのインストール時にシステムに自動的にインストールされます。 ただし、アプリケーションをインストールするときに「このオペレーティングシステムでは.NET Framework 4.7はサポートされていません」というエラーが表示される場合があります。 このエラーにより、アプリケーションを正常にインストールできなくなります。 .Net Frameworkをスタンドアロンアプリケーション/サービスとしてインストールしようとすると、このエラーが表示される場合があります。

このエラーが発生する理由は、エラーメッセージに記載されているものと同じです。 .Net FrameworkはWindows 10でサポートされていますが、Windows 10のすべてのバージョンと互換性はありませんが、このメッセージが表示される場合、このエラーの最も可能性の高い原因は、 .Net Frameworkと互換性がありません。

方法1:Windows 10を更新する

この問題の唯一の解決策は、単にWindows 10を更新することです。Windows10の最新バージョンを使用している場合でも、Windows Updateを確認することをお勧めします。更新により問題が解決される可能性が高いです。 以下の手順に従って、Windows 10の正確なバージョンと.Net Frameworkに必要なバージョンを確認することもできます。

  1. Windowsキーを押しながらRを押す
  2. winver入力してEnterキーを押します

  1. 新しく開いたウィンドウにバージョンが記載されているはずです。 バージョン(2行目)の後の番号は、バージョン番号です。 番号は1507または1709です。最初の2桁は年で、2番目の2桁は月を表します。 1709バージョンをお持ちの場合は、2017年9月にリリースされたバージョンを実行していることを意味します

  1. 次に、.Net Frameworkと互換性のあるWindows 10バージョンを使用していることを確認する必要があります。 ここをクリックして、 システム要件をクリックしてください

[ サポートされているオペレーティングシステム]セクションを見ると、 Windows 10 Anniversary UpdateWindows 10 Creators updateが表示されます。 多くの人は、アニバーサリーおよびクリエーターのアップデートに関連するバージョン番号に精通していないため、以下でそれらについて言及しました。

  • 11月の更新(1511)
  • 記念日の更新(14393)
  • クリエーター更新(1703)
  • Fall Creators Update(1709)
  • Spring Creators Update(1803)

ご覧のとおり、Anniversary Updateのバージョン番号は14393で、Creators Updateのバージョンは1703です。したがって、14393より前のバージョンを使用している場合、Windows 10に.Net Framework 4.7をインストールすることはできません。ここで、Windowsを更新し、最新のWindows 10バージョンを使用していることを確認して、もう一度試してください。

興味深い記事